import React, { useContext } from "react";
import { TextField, Button } from "@material-ui/core";
import {
  ApplicationStateContext,
  ApplicationDispatchContext
} from "../../../state/ApplicationContexts";
import { get } from "../../../utils/axios";

const NetworkContainer = () => {
  const state = useContext(ApplicationStateContext);
  const dispatchActions = useContext(ApplicationDispatchContext);

  const handleChange = prop => event => {
    dispatchActions.onNetworkChange(prop, event.target.value);
  };

  const handleReadMachines = async () => {
    debugger;
    const url = "http://localhost:5064/resurrector-agent/machines";
    const machines = await get(url);

    const status = "done";
  };

  return (
    <>
      <div>NetworkContainer</div>
      <TextField
        id="ertet"
        label="Test"
        onChange={handleChange("test")}
        value={state.network.test}
      />
      <Button variant="contained" color="primary" onClick={handleReadMachines}>
        Read machines
      </Button>
    </>
  );
};

export default NetworkContainer;
